Start an object upload
curl --request POST \
--url https://api.dairo.app/v1/buckets/{bucketId}/objects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>",
"contentType": "<string>",
"expectedBytes": 1,
"metadata": {}
}
'import requests
url = "https://api.dairo.app/v1/buckets/{bucketId}/objects"
payload = {
"filename": "<string>",
"contentType": "<string>",
"expectedBytes": 1,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filename: '<string>', contentType: '<string>', expectedBytes: 1, metadata: {}})
};
fetch('https://api.dairo.app/v1/buckets/{bucketId}/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uploadUrl": "<string>",
"method": "PUT",
"headers": {},
"expiresInSeconds": 302400
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}Buckets
Start an object upload
Start an object upload
POST
/
v1
/
buckets
/
{bucketId}
/
objects
Start an object upload
Authorizations
Dairo API key, e.g. dairo_test_... or dairo_live_...
Headers
Optional idempotency key for safe retries of side-effecting operations.
Maximum string length:
128Path Parameters
Bucket identifier (buk_*).
Body
application/json
Response
Success